

module "barf.rcr.addresses"


npcs = {

    -- Larry, Barry, Terry, ... RANDY, ANDY, SIMON, CYNDI
    names = {
        rom='prg', bank=1, start=0x3D48, length=0x2000-0x3D48, count=77, ptr_OR=0x8000
    };
    
    -- MOOSE: "Hold it! Rocko says punks can't pass."
    conversation = {
        rom='prg', bank=2, start=0x20, length=0x1C00-0x20, count=170, ptr_OR=0x8000
    };
    
};

shops = {
    
    -- Grotto Book Store, Water-front Books, ... Pop's Health Club, Merlin's Mystery Shop
    names = {
--        rom='prg', bank=3, start=0x1F46, length=0x1BDE-0, count=
    };
    
    conversation = {
        rom='prg', bank=3, start=0x1F46, length = 0x21D2-0x1F46, count = (0x1F9E-0x1F46)/2, ptr_OR=0x8000
    };
    
    actions = {
        rom='prg', bank=4, start=0x3200, length=0x3E00-0x3200, count=130, ptr_OR=0x8000
    };
    
    -- Submenu strings
    submenus = {
        rom='prg', bank=3, start=0x2351, length=0x23e1-0x2351, count=(0x2357-0x2351)/2, ptr_OR=0x8000
    };
    
    -- Name, cost and stat increases for items
    items = {
        rom='prg', bank=3, start=0x24F9, length=0x2FA3-0x24F9, count=(0x25F9-0x24F9)/2, ptr_OR=0x8000
    };
    
    -- Which items are available from which shop
    stock = {
        rom='prg', bank=3, start=0x23F5, length=0x24F9-0x23F5, count=(0x2431-0x23F5)/2, ptr_OR=0x8000
    };
    
};

backgroundimages = {
    chr = {
    };
};